/* debug.c - Debug utilties.  
 *  Copyright (C) 2001, 2002 Timo Schulz <ts@winpt.org>
 *  
 * This file is part of Gnuzza.
 *  
 * Gnuzza is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 *  
 * Gnuzza is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 *  
 * You should have received a copy of the GNU General Public License 
 * along with Gnuzza; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */ 

#include <stdarg.h>
#include <stdio.h>

#include "types.h"

static FILE *debug_fp = NULL;

int
log_debug_init( const char *file )
{
    debug_fp = fopen( file, "a+b" );
    if ( debug_fp == NULL )
        return -1;
    return 0;
} /* log_debug_init */

void
log_debug_close( void )
{
    if ( debug_fp )
        fclose( debug_fp );
} /* log_debug_close */

void
log_debug( const char *fmt, ... )
{
    va_list arg_ptr;

    if ( !opt.debug )
        return;
    
    if ( !debug_fp ) {
        perror( "debug" );
        return;
    }
	
    va_start( arg_ptr, fmt );
    vfprintf( debug_fp, fmt, arg_ptr );
    va_end( arg_ptr );
} /* log_debug */
	
