/* errors.h - Error handling. 
 *  Copyright (C) 2001, 2002 Timo Schulz <ts@winpt.org>
 * 
 * This file is part of Gnuzza.
 * 
 * Gnuzza is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 * 
 * Gnuzza is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 * 
 * You should have received a copy of the GNU General Public License 
 * along with Gnuzza; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef GNUZZA_ERRORS_H
#define GNUZZA_ERRORS_H

enum {
    CCERR_SUCCESS = 0,
    CCERR_GENERAL = 1,
    CCERR_IDENT = 2,
    CCERR_AUTH = 3,
    CCERR_DHKEX = 4,
    CCERR_MPI = 5,
    CCERR_GCRYPT = 6,
    CCERR_SEND_FILE = 7,
    CCERR_RECV_FILE = 8,
    CCERR_MDC = 9,
    CCERR_SOCK = 10,
    CCERR_PACKET = 11,
    CCERR_INV_VALUE = 12,
    CCERR_MEMORY = 13,
    CCERR_CONNECT = 14,
    CCERR_BASE64 = 15,
    CCERR_NOKEY = 16,
    CCERR_PASS = 17,
    CCERR_FILE = 18 /* errno is set */
};

const char* cc_strerror( int err );
void sock_error( const char *info );
int set_lasterr( int err );

#endif /* GNUZZA_ERRORS_H */
