/* socket.h - Socket operations. 
 *   Copyright (C) 2001, 2002 Timo Schulz <ts@winpt.org>
 *  
 * This file is part of Gnuzza.
 *  
 * Gnuzza is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 *  
 * Gnuzza is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 *  
 * You should have received a copy of the GNU General Public License 
 * along with Gnuzza; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */ 
 
#ifndef GNUZZA_SOCKET_H
#define GNUZZA_SOCKET_H

/* Missing W32 socket declarations */
#ifdef __MINGW32__
#define SHUT_RD   0
#define SHUT_WR   1
#define SHUT_RDWR 2
#endif      

/* Fake IRC port! */
#define PORT 6666
#define SFTP_PORT 2222

/*-- {posix,w32}-socket.c --*/
int sock_read( int fd, void *buf, size_t count );
int sock_write( int fd, const void *buf, size_t count );
int sock_close( int fd );
void sock_init( void );
void sock_deinit( void );
const char* sock_strerror( int ec );

/*-- socket.c --*/
int connect_to_server( const char *server, int port );
int wait_for_client( const char *device, int port, char **ret_cip );

#endif /* GNUZZA_SOCKET_H */

