/* types.h  
 *  Copyright (C) 2001, 2002 Timo Schulz <ts@winpt.org>
 *  
 * This file is part of Gnuzza.
 *  
 * Gnuzza is free software; you can redistribute it and/or modify 
 * it under the terms of the GNU General Public License as published by 
 * the Free Software Foundation; either version 2 of the License, or 
 * (at your option) any later version. 
 *  
 * Gnuzza is distributed in the hope that it will be useful, 
 * but WITHOUT ANY WARRANTY; without even the implied warranty of 
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the 
 * GNU General Public License for more details. 
 *  
 * You should have received a copy of the GNU General Public License 
 * along with Gnuzza; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */ 

#ifndef GNUZZA_TYPES_H
#define GNUZZA_TYPES_H

/*-- debug.c --*/
extern int arg_debug;
int log_debug_init( const char *file );
void log_debug_close( void );
void log_debug( const char *fmt, ... );

typedef unsigned long long u64;
typedef unsigned long u32;
typedef unsigned int ui32;
typedef unsigned short u16;
typedef unsigned char u8;

enum {
    CC_3DES_CFB = 2,
    CC_BLOWFISH_CFB = 4,
    CC_TWOFISH_CFB = 10,
    CC_RIJNDAEL_CFB = 7,
    CC_CAST5_CFB = 3
};

#define SFTP_SEND 3

typedef struct {
    const char *name;
    int algo_id;
} ciphers_s;

extern ciphers_s ciphers[];

typedef struct {
    int server;
    int client;
    int version;
    int help;
    int warranty;
    int nick;
    int cipher_algo;
    int key_length;
    int debug;
    int color;
    int pk;
    int convkey;
    int disable_pk;
    int enable_sftp;
    int output;
    int fpr;
    int list_keys;
    int debug_fd;
    int speed;
} option_s;
extern option_s opt;

#ifndef DIM
#define DIM(x) sizeof(x)/sizeof(x[0])
#endif

#endif /* GNUZZA_TYPES_H */



